GetcaptionV2

Image annotations - Get caption

POST
/api/getCaption/v2

This endpoint receives an image in base64 format and returns a description of the image in the following format:

  • Long description of the image: ['long_description']
  • Short description of the image: ['short_description']
  • Objects present in the image: ['objects_present']
  • List of main colors visible in the image: ['colors']
  • Mood of the image: ['mood']

The response is in a JSON dictionary format as shown below:

{"data": {"long_description": "...","short_description": "...","objects_present": "...","colors": "...","mood": "..."}}

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

multipart/form-data
  1. body
file?unknown
url?string
question?string
options?string

Response Body

Success

application/json
  1. response
image_id*string
data?
curl -X POST "https://example.com/api/getCaption/v2"
{  "image_id": "string",  "data": {    "long_description": "string",    "short_description": "string",    "objects_present": "string",    "colors": "string",    "mood": "string"  }}